Program Iekavas_checker;
const
  maxN = 100000;

var
  i, j: longint;
  N: longint;
  correct_moves: longint;
  moves: longint;
  l, r: longint;
  tmp: boolean;
  ch: char;
  f: text;
  M: array[1..maxN] of boolean;


Procedure TestResult(r: longint);
begin
  case r of
    0: WriteLn('correct');
    1: WriteLn('wrong');
    2: WriteLn('presentation error');
    3: WriteLn('no output file');
    4: WriteLn('wrong number of moves');
  end;

  Halt(r);
end;


begin
  // param1 - .in
  // param2 - pareizais .out
  // param3 - paarbaudaamais.out

  // .in
  Assign(f, ParamStr(1));
  Reset(f);
  ReadLn(f,N);
  for i:=1 to N do begin Read(f,ch); M[i] := (ch=')'); end;
  Close(f);

  // pareizais .out
  Assign(f, ParamStr(2));
  Reset(f);
  ReadLn(f, correct_moves);
  Close(f);

  // paarbaudaamais .out
  Assign(f, ParamStr(3));
  try
    Reset(f);
  except
    TestResult(3); // no output file
  end;
  try
    ReadLn(f,moves);
    if moves <> correct_moves then
      begin
        Close(f);
        TestResult(4); // wrong number of moves
      end;
    for i:=1 to moves do
      begin
        ReadLn(f, l, r);
        // apgriezham
        for j:=l to (l+r-1) div 2 do
          begin
            tmp := not M[j];
            M[j] := not M[r+l-j];
            M[r+l-j] := tmp;
          end;
        if (r-l) mod 2 = 0 then
          M[(l+r) div 2] := not M[(l+r) div 2];
      end;
    Close(f);

    // paarbaudaam, vai izteiksme ir korekta
    j := 0;
    i := 1;
    while (i <= N) and (j >= 0) do
      begin
        if M[i] then dec(j) else inc(j);
        inc(i);
      end;

    if j = 0 then
      begin
        TestResult(0); // correct
      end
    else
      begin
        TestResult(1); // wrong
      end;

  except
    Close(f);
    TestResult(2); // presentation error
  end;

end.
